[Date Prev][Date Next]   [Thread Prev][Thread Next]   [Thread Index] [Date Index] [Author Index]

Re: libGL and libGLU buildtime dependancy virtualization



On Mon, Jul 05, 2004 at 03:40:43AM -0400, Mike A. Harris wrote:
> 1) Specify a build dependancy on the actual header file:
>    ie:  BuildRequires: /usr/include/GL/gl.h
> 
> or
> 
> 2) Use rpm macros to select one of 3 different build 
>    dependancies, based upon which OS target the package is being 
>    built for:
> 
> %if %{build_mesaGL}
> BuildRequires: Mesa-devel >= 3.4.2
> %endif
> %if %{build_XFree86_mesaGL}
> BuildRequires: XFree86-devel >= 4.2.0
> %endif
> %if %{build_xorg_x11_mesaGL}
> BuildRequires: xorg-x11-devel >= 6.7.0
> %endif
In FC2 neither works for libGLU because xorg-x11-devel provides both
the header files and libGL.so, but it doesn't require xorg-x11-Mesa-libGLU,
so you actually have to use BuildRequires: libGLU xorg-x11-devel

This seems easily fixable by adding Requires: libGLU to xorg-x11-devel,
but should nevertheless be taken into account when creating spec files
that should work on several \(RHE?L\|FC\) releases.
	Mirek



[Date Prev][Date Next]   [Thread Prev][Thread Next]   [Thread Index] [Date Index] [Author Index]